Indignação

0 milhões de comentários
Eu não fui bloqueado DUAS VEZES desse lixo já?
Meu blog fere os interesses dos anunciantes, VOCÊS MESMOS já me falaram isso, então porque diabos ainda vejo isso na pagina de postagens do blog????

Segunda Enquete

1 milhões de comentários
Segunda enquete terminada... 35 votos? ok, ok... deixei APENAS dois meses no ar...

Vamos as fatos: este blog não tem mulher pelada, não tem batepapo como msn, nem dá pra bisbilhotar a vida dos outros como orkut, logo não é interessante...

Agora aos resultados:


35 votos em 2 meses... um voto a cada 2 dias, apenas prova a popularidade daqui, hehehe

2008 lidera seguido do 2009, numa diferença tremenda em relação ao terceiro lugar
Como a maioria dos visitantes são brasileiros, de duas uma ou o brasil tem condições de bancar a troca da versão anterior para a mais atual sempre, ou é tudo pirataria...

eu aposto na segunda...


Como Criar um spoiler

2 milhões de comentários
Bom, respondendo ao Alencar, é assim que eu fiz o esquema do "mais"/"menos" mais...

<html>
<head>
</head>

<style type="text/css"><!--
.spoiler { height: 1px;
width: 1px;
overflow:auto;
border-width:1px;
border-color:black;}
.sspoiler {color: red;cursor:pointer;}
.spanover {color:green; cursor:pointer;}
--></style>

<body>
<span class="sspoiler"
onclick="spoiler('mais...', 'menos...',this,400,'98%')">mais...</span>
<div class="spoiler">
SEU TEXTO AQUI
</div>
</body>



<script language="javascript"><!--
function spoiler(textoabre, textofecha, botao, altura, largura)
{ divelm = botao.parentNode.getElementsByTagName("div").item(0)
altura = altura + ""
largura= largura + ""
with (divelm.style)
if (width == "1px" !width)
{ height = altura + (altura.match(/^\d+$/) ? "px" : "")
width = largura + (largura.match(/^\d+$/) ? "px" : "")
borderWidth="1px"
botao.innerHTML=textofecha
}
else
{ height = "1px"
width = "1px"
borderWidth="0px"
botao.innerHTML=textoabre}}

var spans = document.getElementsByTagName("span")

for(i=0; i<spans.length; i++)
if (spans[i].className=="sspoiler"
spans[i].className=="spanover")
{ spans[i].onmouseover = function()
{this.className='spanover'}
spans[i].onmouseout = function()
{this.className='sspoiler'}

}
//--></script>


</html>

1 - Você adiciona a parte do "style" no inicio do seu template html
2 - Inclua a parte do "javascript" no final do template, para que seja a última coisa a ser executada pelo browser
Escreva o texto a ser escondido no lugar onde está o "SEU TEXTO AQUI", que deverá ficar dentro de uma DIV de class="spoiler"
3 - o texto "mais" e o texto "menos" deve ficar numa span, como no exemplo...

Simples né?

VB.NET e o autocad

3 milhões de comentários
Que tal mudar um pouco a cara dos nosso programinhas e tornar a coisa mais interessante? Vamos experimentar o VB.NET então!!! Com ele podemos usar os forms do Framework, bem mais interessantes que os basiquinhos do VBA e MUIIIIIIIITTO melhor que os famigerados DCLs (objectdcl... nome fácil de pegar nojo, hehehe) vamos fazer algo mais que o famoso "Hello World" que todo tutorial faz, vamos já desenhar uma linha!!!

Para isso, usei o VB.NET Express Edition, di grátis no site da M$ e o Autocad, no caso as versões 2008 de ambos
no editor do VB.Net, crie uma nova "Class Library" e colenela este código:




'acadApp depende de:
Imports AutoCAD = Autodesk.AutoCAD.Interop

'objetos do cad (textot, linha, layer, etc..) dependem de:
Imports AcadLib = Autodesk.AutoCAD.Interop.Common

'CommandMethod depende de:
Imports Autodesk.AutoCAD.Runtime

Public Class teste

'o autocad em si
Public acadApp As AutoCAD.IAcadApplication

'documento corrente
Public Thisdrawing As AutoCAD.IAcadDocument

'é executado ao carregar a dll com o NETLOAD
Public Sub New()
'17.0? = cad 2007
'17.1 = cad 2008
'17.2 = cad 2009
acadApp = GetObject(, "Autocad.Application.17.1")
Thisdrawing = acadApp.ActiveDocument
End Sub

'expoe a sub como um novo comando do autocad
_
Public Sub desenhalinha()
Dim pt1(2), pt2(2) As Double
Dim linha As AcadLib.AcadLine
Dim lay As AcadLib.AcadLayer

'pede o primeiro ponto:
pt1 = Thisdrawing.Utility.GetPoint(, "Entre com o primeiro ponto")

'pede o segundo ponto:
pt2 = Thisdrawing.Utility.GetPoint(pt1, "Entre com o segundo ponto")

'desenha uma linha:
linha = Thisdrawing.ModelSpace.AddLine(pt1, pt2)

'troca o layer, criando se ele nao existe:
Try
linha.Layer = "layer_teste"
Catch
lay = Thisdrawing.Layers.Add("layer_teste")
linha.Layer = "layer_teste"
End Try

End Sub

End Class


Algumas palavras devem aparecer sublinhadas, pois ainda não adicionamos as referências que precisamos, são elas (no caso do cad 2008):
para que possamos criar comandos:
pasta do Autocad\"acmgd.dll"
para que possamos desenhar no cad:
"Autocad 2008 Type Lybrary"
"Autocad/ObjecDBX Commom 17.0 type Libray"

E pronto!!

As partes importantes da classe:
a sub "New" que inicializa qualquer coisa que precisamos ao carregar a dll que será gerada e a linha _ antes da Sub que contem o programa em si

De resto, é algumas adaptações do código VBA para VB.NET, por exemplo:
o tipo "Variant" irá ser o tipo "Object", o legal é que o processo do "copiar/colar" já az essa transformação!!!

No VBA, usamos o Thisdrawing, que no VB não tem, mas aí simulamos ele, como no código acima

E claro, precisamos dos tipos dos objetos do cad ("AcadLayer", "AcadLine", por exemplo) aí fiz outra gambiarra usando o "AcadLib" que aparece no código, veja como criei e usei ele...
Interessante, não?

Compile o código e ele irá gerar o arquivo "teste.dll" na pasta /bin/release ( se você não mudou isso)

Carregue no cad com o comando NETLOAD e na linha de comando chame o novo comando criado: "desenhalinha"
Chique, né?
mais aqui e aqui

Blogger do caralh$#@%&%

0 milhões de comentários
Gente, minhas desculpas, mas essa [palavrao]maravilha[/palavrao] de blogger apagou TODAS as minhas imagens... alias, voces perceberam que os adsense tambem sumiram?? é... GOOGLE=PORCOS CAPITALISTAS!!!

Mas tudo bem... prometo que nao vou atulhar mais isso aqui com aquele lixo.
No mais, vou arrumar as imagens novamente.... pelo menos as que eu conseguir...
Se puderem me ajudar, verifiquem se no CACHE do seu navegador ainda tem alguma das imagens que deveriam aparecer aqui, e mandem para neyton@yahoo.com...

Obrigado!!!

LinkWithin

Related Posts Plugin for WordPress, Blogger...